%define name		pja
%define version		2.4
%define release		1jpp
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	GPL
Summary:	PJA (Pure Java AWT) Toolkit
Group:		Development/Libraries/Java
URL:		http://www.eteks.com/pja/
Vendor:         JPackage Project
Distribution:   JPackage
Requires:	java
BuildRequires:  jpackage-utils >= 0:1.5, java-devel, sed, servlet, %{_bindir}/tr
BuildArch:      noarch
Source0:	%{url}%{name}_%{version}.zip
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
PJA (Pure Java AWT) Toolkit is a JavaTM library for drawing graphics developed
by eTeks. It is 100% Pure Java and doesn't use any native graphics resource of
the system on which the Java Virtual Machine runs.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}_%{version}

# nuke binary jars
rm -fr $(find . -name "*.jar")

# nuke javadoc
rm -fr doc/*

# Cleanup build script DOS eol
%{_bindir}/tr -d "\015" < pjabuild.sh > pjabuild-unix.sh

%build
if [ ! -e "$JAVA_HOME" ] ; then export JAVA_HOME="%{_jvmdir}/java" ; fi
unset CLASSPATH
export PATH="$JAVA_HOME/bin:$PATH"

ln -s $(find-jar servlet) lib
sh pjabuild-unix.sh

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 lib/%{name}tools.jar $RPM_BUILD_ROOT%{_javadir}/%{name}tools-%{version}.jar

pushd $RPM_BUILD_ROOT%{_javadir}
   for jar in *-%{version}.jar ; do
      ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|.jar|g")
   done
popd

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc COPYING.TXT README.TXT lib/font.properties bin/*.sh
%{_javadir}/%{name}*.jar

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*

%changelog
* Fri Mar 28 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 2.4-1jpp
- Initial build.
